Subject: Ticket Assigned - broken stroller - baby shop - abu dhabi - wtc mall branch
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 28 Nov 2021 17:26:56 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  broken stroller - baby shop - abu dhabi - wtc mall branch  Dear Team,
Greetings of the day !

I am regular customer of baby shop store specifically giggle brand, but today I was really disappointed with how my issue has been deal with.
I have bought giggle brand stroller which shall be safety and value oriented to customers. At the first usage of the stroller, I noticed that stroller have some space in the connection between the hand the stroller however I did not give it importance as I though it ok. After 3 months while my wife was using the stroller to cross the street , the hand of the stroller was broken and thanks god as my baby was putting the belt he did not fall down, however I found my wife crying because the stroller was about to fall down with baby.
 I took the stroller to baby shop complaining of the quality and safety concern asking them to replace the stroller with another model which is stronger and I can pay the difference however the manager told me that we can only fix the hand but we cannot replace it neither we can guarantee that this issue won't relapse. I found this behavior is not giving value for me as customer, why shall I as customer have loyalty to giggle brand if the company do not value me as a customer and seek my needs.
That said, I would kindly seek the manager support to consider replacement of the stroller which was already defected from the beginning in which I will pay the difference with another model in order to ensure my baby safety. Shall giggle refuse my request as replacement, I can understand and accept only if a written email guarantee me that this issue will not replace any my baby is safe with the fixed stroller.

Awaiting your kind feedback and thank you in advance for taking safety and customer value at your priorities.

Thank you & Best Regards,
Mohammed wasim. Mob: +971567595353

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3329041